GDB (xrefs)

Public Attributes | List of all members
complain Struct Reference

## Public Attributes
const char * | file
int | line
const char * | fmt
int | counter
struct complain * | next

## Detailed Description

Definition at line 47 of file complaints.c.

## Member Data Documentation

## ◆ counter

int complain::counter

Definition at line 52 of file complaints.c.

Referenced by clear_complaints().

## ◆ file

const char* complain::file

Definition at line 49 of file complaints.c.

Referenced by ATTRIBUTE_PRINTF(), complaints_show_value(), and internal_complaint().

## ◆ fmt

const char* complain::fmt

Definition at line 51 of file complaints.c.

Referenced by ATTRIBUTE_PRINTF(), complaint_internal(), and internal_complaint().

## ◆ line

int complain::line

Definition at line 50 of file complaints.c.

Referenced by ATTRIBUTE_PRINTF(), and internal_complaint().

## ◆ next

struct complain* complain::next

Definition at line 53 of file complaints.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), and clear_complaints().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/complaints.c